package com.halo.halomobisdk

import android.os.Bundle
import android.view.View
import android.widget.Button
import android.widget.RelativeLayout
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.constraintlayout.widget.ConstraintLayout
import com.applovin.mediation.nativeAds.MaxNativeAdView
import com.halo.halojuhesdk.sdk.HlNativeUnifiedAd
import com.halo.halojuhesdk.sdk.HlUnifiedAdParameter
import com.halo.halojuhesdk.sdk.listener.HlNativeAdListener
import com.halo.halojuhesdk.sdk.listener.HlNativeResponse
import com.halo.halojuhesdk.sdk.listener.HlUnifiedNativeAdListener
import com.halomobi.halomobisdk.R

class NativeUnifiedActivity : AppCompatActivity() {
    private var mConstraintLayout: RelativeLayout? = null
    private var hlUnifiedNativeAd: HlNativeUnifiedAd? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_untified_native)
        mConstraintLayout = findViewById(R.id.constraint)
        findViewById<Button>(R.id.load).setOnClickListener {
            loadNativeAd()
        }
    }
    private fun loadNativeAd() {
        val builder = HlUnifiedAdParameter.Builder()
        builder.setAdLayoutId(R.layout.item_unified_normal_layout)
            .setAdContentId(R.id.media_view_container).setAdTitleId(R.id.tv_title).setAdBodyTitleId(R.id.tv_sub_title)
            .setAdOptionsId(R.id.options_view)
        hlUnifiedNativeAd = HlNativeUnifiedAd(this, "2909703", builder.build(), 300, 300, object : HlNativeAdListener {
            override fun onADLoadView(view: View, adTypeStr: String) {
                mConstraintLayout?.addView(view)
            }

            override fun onADClick(view: View?, adTypeStr: String) {

            }

            override fun onADShow(view: View?, adTypeStr: String) {

            }

            override fun onADClose(view: View?) {
                mConstraintLayout?.removeView(view)
            }

            override fun onADError(errorMsg: String?, errorCode: Int) {
                Toast.makeText(this@NativeUnifiedActivity, errorMsg, Toast.LENGTH_SHORT).show()
            }
        })
        hlUnifiedNativeAd?.loadData()
    }

}