package com.halo.halomobisdk

import android.os.Bundle
import android.util.Log
import android.widget.Button
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.halo.halojuhesdk.sdk.HlVideoAd
import com.halo.halojuhesdk.sdk.listener.HlVideoListener
import com.halomobi.halomobisdk.R
import org.json.JSONObject

class RewardActivity : AppCompatActivity() {
    private var hlVideoAd: HlVideoAd? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_reward)

        findViewById<Button>(R.id.load).setOnClickListener {
            loadRewardAd()
        }
        findViewById<Button>(R.id.show).setOnClickListener {
            hlVideoAd?.show()
        }
    }

    private fun loadRewardAd() {
        hlVideoAd = HlVideoAd(this, "2946704", object : HlVideoListener {
            override fun onSuccess() {
                Toast.makeText(this@RewardActivity, "==onSuccess===${hlVideoAd?.ecpm}", Toast.LENGTH_SHORT).show()
                val ecpmMap = hlVideoAd?.ecpmMap
                val jsonObject = JSONObject()
                ecpmMap?.forEach { (key, value) ->
                    jsonObject.put(key, value)
                }
                findViewById<TextView>(R.id.price_show).text = jsonObject.toString()
            }

            override fun onAdFailed(errorMsg: String, errorCode: Int) {
                Toast.makeText(this@RewardActivity, "==error===$errorMsg", Toast.LENGTH_SHORT).show()
            }

            override fun onAdShow() {
                Log.e("11111","====onAdShow===")
            }

            override fun onAdClose() {
                Log.e("11111","====onAdClose===")
            }

            override fun onAdClick() {
            }

            override fun onPlayEnd() {
                Log.e("11111","====onPlayEnd===")
                Toast.makeText(this@RewardActivity, "==onPlayEnd===", Toast.LENGTH_SHORT).show()
            }

            override fun onSkipped() {
                Log.e("11111","====onSkipped===")
            }

            override fun onRewardArrived() {
                Log.e("11111","====onRewardArrived===")
                Toast.makeText(this@RewardActivity, "==onRewardArrived===", Toast.LENGTH_SHORT).show()
            }
        })
        hlVideoAd?.loadAd()
    }
}