package com.halo.halomobisdk

import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.halo.halojuhesdk.sdk.HlSplashAd
import com.halo.halojuhesdk.sdk.listener.HlSplashAdListener
import com.halomobi.halomobisdk.R
import org.json.JSONObject

class SplashActivity : AppCompatActivity(){

    private var hlSplashAd: HlSplashAd? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)
        findViewById<Button>(R.id.load).setOnClickListener {
            loadInsertAd()
        }
        findViewById<Button>(R.id.show).setOnClickListener {
            hlSplashAd?.showAd()
        }

    }

    private fun loadInsertAd() {
        hlSplashAd = HlSplashAd(this, "2720701", findViewById(R.id.constraint), object :HlSplashAdListener {
            override fun onReadyAd(adTypeStr: String) {
                val ecpmMap = hlSplashAd?.ecpmMap
                val jsonObject = JSONObject()
                ecpmMap?.forEach { (key, value) ->
                    jsonObject.put(key, value)
                }
                findViewById<TextView>(R.id.price_show).text = jsonObject.toString()
            }

            override fun onDisplayAd(adTypeStr: String) {
            }

            override fun onClickAd(adTypeStr: String) {
            }

            override fun onCloseAd() {
            }

            override fun onAdError(msg: String?, code: Int) {
                Toast.makeText(this@SplashActivity, msg, Toast.LENGTH_SHORT).show()
            }

            override fun onAdSkip() {
            }
        })
    }
}